[SM-Grimoire-Bugs] [Bug 10448] New: can't build eclipse on amd 64

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Mon Jan 23 15:02:55 EST 2006


http://bugs.sourcemage.org/show_bug.cgi?id=10448

           Summary: can't build eclipse on amd 64
           Product: Codex
           Version: test grimoire
          Platform: x86-64
        OS/Version: Linux
            Status: NEW
          Severity: trivial
          Priority: P2
         Component: devel
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: mikael.morin at tele2.fr


the BUILD script doesn't care about non-x86 platforms
Here is a patch to solve this, hope this helps: 


*** BUILD.sav	2006-01-23 21:47:52.000000000 +0100
--- BUILD	2006-01-23 21:48:32.000000000 +0100
***************
*** 37,42 ****
--- 37,44 ----
  ws=gtk                                                               &&
  if uname -m | grep -q 'i.\+86'; then
    arch=x86
+ else 
+   arch=`uname -m`
  fi                                                                   &&
  ./build -os linux -ws "$ws" -arch "$arch"                            &&
  echo '/usr/share/eclipse/eclipse -data ~/workspace' > eclipse-script &&

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.



More information about the SM-Grimoire-Bugs mailing list